Datasets - Update Dataset
Updates the properties for the specified semantic model. The semantic model can reside in My workspace or another workspace, provided the caller has the required permissions.
Permissions
The user must be the dataset owner.
Required Scope
Dataset.ReadWrite.All
PATCH https://api.powerbi.com/v1.0/myorg/datasets/{datasetId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
dataset
|
path | True |
string |
The dataset ID |
Request Body
| Name | Type | Description |
|---|---|---|
| queryScaleOutSettings |
Query scale-out settings of a dataset |
|
| targetStorageMode |
string |
The dataset storage mode |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Examples
| Example of changing the dataset storage mode to support large datasets |
| Example of changing the dataset storage mode to support small datasets |
| Example of updating scale-out settings of a dataset |
Example of changing the dataset storage mode to support large datasets
Sample request
PATCH https://api.powerbi.com/v1.0/myorg/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229
{
"targetStorageMode": "PremiumFiles"
}
Sample response
Example of changing the dataset storage mode to support small datasets
Sample request
PATCH https://api.powerbi.com/v1.0/myorg/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229
{
"targetStorageMode": "Abf"
}
Sample response
Example of updating scale-out settings of a dataset
Sample request
PATCH https://api.powerbi.com/v1.0/myorg/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229
{
"queryScaleOutSettings": {
"autoSyncReadOnlyReplicas": false,
"maxReadOnlyReplicas": -1
}
}
Sample response
Definitions
| Name | Description |
|---|---|
|
Dataset |
Query scale-out settings of a dataset |
|
Update |
Update dataset request |
DatasetQueryScaleOutSettings
Query scale-out settings of a dataset
| Name | Type | Description |
|---|---|---|
| autoSyncReadOnlyReplicas |
boolean |
Whether the dataset automatically syncs read-only replicas |
| maxReadOnlyReplicas |
integer minimum: -1maximum: 64 |
Maximum number of read-only replicas for the dataset (0-64, -1 for automatic number of replicas) |
UpdateDatasetRequest
Update dataset request
| Name | Type | Description |
|---|---|---|
| queryScaleOutSettings |
Query scale-out settings of a dataset |
|
| targetStorageMode |
string |
The dataset storage mode |